﻿namespace PlaneGcsSdk.Contract.DtuClient
{
    /// <summary>
    /// 与DTU服务端建立通信的流程枚举
    /// </summary>
    public enum ProcessStep
    {
        /// <summary>
        /// 默认值
        /// </summary>
        None,
        /// <summary>
        /// 【第一步】已登陆PLNet服务端
        /// </summary>
        EhNetLogin,
        /// <summary>
        /// 【第二步】已发送登陆随机码到DTU服务端
        /// </summary>
        SendRandCode,
        /// <summary>
        /// 【第三步】已向DTU服务端绑定飞机
        /// </summary>
        AssignCopter,
        /// <summary>
        /// 【第四步】已向DTU建立飞控透传管道
        /// </summary>
        HandShakeToDTU,
    }
}
